// creator  : weidu.exe (version 23100)
// argument : SCLJYSS.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SCLJYSS~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)
Global("SarlesSpawn","GLOBAL",0)
!Global("JanLissaPlot","GLOBAL",8)
!Global("JanLissaPlot","GLOBAL",9)~ THEN BEGIN 0 // from:
  SAY #28644 /* ~My goodness, Qar did not tell me we had guests already. You must be... Actually, you look to be nobody. Get out of my home, you've no business here.~ */
  IF ~~ THEN DO ~SetNumTimesTalkedTo(0)
~ EXIT
END

IF WEIGHT #1 ~NumTimesTalkedTo(0)
GlobalGT("SarlesSpawn","GLOBAL",0)
~ THEN BEGIN 1 // from:
  SAY #28645 /* ~Oh, you must be the messengers come to beg the service of Sir Sarles. It's a great honor to be refused by him, so don't feel bad when you leave empty-handed.~ */
  IF ~Global("SculptorPlot","GLOBAL",1)
~ THEN REPLY #28648 /* ~For the glory of Lathander, I shall not fail.~ */ GOTO 2
  IF ~Global("SculptorPlot","GLOBAL",2)
~ THEN REPLY #28649 /* ~For Helm, I will persevere and convince him.~ */ GOTO 2
  IF ~Global("SculptorPlot","GLOBAL",3)
~ THEN REPLY #28650 /* ~For the glory of Talos, he will work as we see fit.~ */ GOTO 2
  IF ~~ THEN REPLY #28651 /* ~My purpose here is solely between the artist and me.~ */ GOTO 2
  IF ~OR(2)
Global("JanLissaPlot","GLOBAL",8)
Global("JanLissaPlot","GLOBAL",9)
Global("SCLjyss","GLOBAL",0)~ THEN REPLY #34329 /* ~Lady Jysstev, I must ask a favor of you. There is a little girl that is sick and I think that you may have knowledge that can help her... I need to find the Hidden.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 9.1 8.1 7.1 6.2 4.1 1.3 1.2 1.1 1.0
  SAY #28652 /* ~Yes, yes, yes, whatever you say. Just try to move quickly when you enter or exit my home. My social club is green with envy over Sarles coming here, but your presence is an eyesore.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 4 13 14 even though they appear after this state */
~GlobalGT("SarlesSpawn","GLOBAL",0)
~ THEN BEGIN 3 // from:
  SAY #28653 /* ~Do what you must and then remove yourself. I've people of culture to impress, and you foul the air somewhat.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~OR(2)
Global("JanLissaPlot","GLOBAL",8)
Global("JanLissaPlot","GLOBAL",9)
Global("SCLjyss","GLOBAL",0)~ THEN BEGIN 4 // from:
  SAY #34330 /* ~Who might you be and why are you in my estate?~ */
  IF ~~ THEN REPLY #34467 /* ~I only wish to ask you a question, Lady Jysstev.~ */ GOTO 5
  IF ~~ THEN REPLY #34468 /* ~I'm sorry to bother you. I will leave.~ */ GOTO 2
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #34469 /* ~What is it? Make it quick, I've a tea to arrange.~ */
  IF ~~ THEN REPLY #34470 /* ~I need to find someone called the Hidden.~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0 1.4
  SAY #34471 /* ~The Hidden?? But you are not one of the Enlightened Ones!~ */
  IF ~~ THEN REPLY #34472 /* ~Please, I must find him. There is a girl who is very ill and I've been told that he can help her.~ */ GOTO 7
  IF ~~ THEN REPLY #34473 /* ~Who are the Enlightened Ones?~ */ GOTO 8
  IF ~~ THEN REPLY #34474 /* ~I shall find the man myself.~ */ GOTO 2
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #34475 /* ~But it is forbidden to speak of him.~ */
  IF ~~ THEN REPLY #34476 /* ~Look, m'lady. I already know of him. What harm could it be to tell me where to find him?~ */ GOTO 9
  IF ~~ THEN REPLY #34477 /* ~Fine. I shall find him myself.~ */ GOTO 2
END

IF ~~ THEN BEGIN 8 // from: 6.1
  SAY #34478 /* ~I should not have said anything. Please! You must go before I get myself into any more trouble.~ */
  IF ~~ THEN REPLY #34479 /* ~Look, m'lady. I already know of him. What harm could it be to tell me where to find him?~ */ GOTO 9
  IF ~~ THEN REPLY #34480 /* ~Fine. I shall find myself.~ */ GOTO 2
END

IF ~~ THEN BEGIN 9 // from: 8.0 7.0
  SAY #34481 /* ~There is a girl who is ill? I should not say anything.~ */
  IF ~~ THEN REPLY #34482 /* ~A girl called Jaella. You can help her be healed by telling me where the Hidden can be found.~ */ GOTO 10
  IF ~~ THEN REPLY #34483 /* ~Forget it. I shall find the man myself.~ */ GOTO 2
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #34484 /* ~I do not know where he is. Perhaps I can arrange a meeting. Oh he shall be so angry!~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #34485 /* ~Listen, then. Below the cursed hole of avarice called the Copper Coronet, there lies a maze of sewer shafts. Find the place if you can. The entrance lies within the tavern somewhere.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #34486 /* ~I shall ask the Hidden to meet you there but I do not know where he will be or if he will show up at all. This is all that I can do. Go now before you are seen here!~ */
  IF ~~ THEN DO ~AddexperienceParty(8900)
SetGlobal("SCLjyss","GLOBAL",1)
~ UNSOLVED_JOURNAL #34721 /* ~Jan returns home to help his former love, Lissa.

I was able to convince Lady Jysstev to arrange a meeting between myself and the Hidden.  She tells me that I need to go to the sewer maze beneath the Copper Coronet, and that the Hidden should meet me somewhere there.  She could not give an exact location, nor was she sure if the Hidden would come, but she did seem very sure that he would be angry, as I am not one of 'the Enlightened Ones', whatever they are.~ */ EXIT
END

IF WEIGHT #3 ~Global("SCLjyss","GLOBAL",1)
Global("SarlesSpawn","GLOBAL",0)
~ THEN BEGIN 13 // from:
  SAY #34487 /* ~There is nothing more that I can do. Find the sewers beneath the Copper Coronet and perhaps the Hidden will grant an audience.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~Global("SarlesPissed","GLOBAL",1)
~ THEN BEGIN 14 // from:
  SAY #37832 /* ~Because of you, we have lost the greatest social coup this city has yet seen!  Sir Sarles is gone before we could show him off! Get out of here!~ */
  IF ~~ THEN EXIT
END
